>From 2cc7da5accda01b579bb785b510bb16d133516d9 Mon Sep 17 00:00:00 2001
From: Andres Freund <andres@anarazel.de>
Date: Thu, 8 May 2014 18:16:34 +0200
Subject: [PATCH 3/3] Add valgrind suppression to ignore padding bytes in
 reorderbuffer disk writes.

---
 src/tools/valgrind.supp | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/src/tools/valgrind.supp b/src/tools/valgrind.supp
index d3447d7..b0ab53d 100644
--- a/src/tools/valgrind.supp
+++ b/src/tools/valgrind.supp
@@ -63,6 +63,16 @@
 	fun:write_relcache_init_file
 }
 
+{
+	padding_reorderbuffer_serialize
+	Memcheck:Param
+	write(buf)
+
+	...
+	fun:ReorderBufferSerializeChange
+}
+
+
 
 # gcc on ppc64 can generate a four-byte read to fetch the final "char" fields
 # of a FormData_pg_cast.  This is valid compiler behavior, because a proper
-- 
1.8.5.rc2.dirty

